Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Interface ClassLoadHelper

All Known Implementing Classes:
  CascadingClassLoadHelper, InitThreadContextClassLoadHelper, LoadingLoaderClassLoadHelper, SimpleClassLoadHelper, ThreadContextClassLoadHelper

    public interface ClassLoadHelper

An interface for classes wishing to provide the service of loading classes and resources within the scheduler...

Author:
  jhouse, pl47ypus

Method Summary
`ClassLoader` | `getClassLoader()` Enable sharing of the class-loader with 3rd party (e.g.
`URL` | `getResource(String name)` Finds a resource with a given name.
`InputStream` | `getResourceAsStream(String name)` Finds a resource with a given name.
`void` | `initialize()` Called to give the ClassLoadHelper a chance to initialize itself, including the opportunity to "steal" the class loader off of the calling thread, which is the thread that is initializing Quartz.
`Class` | `loadClass(String name)` Return the class with the given name.

Method Detail

### initialize

    void initialize()

  Called to give the ClassLoadHelper a chance to initialize itself, including the opportunity to "steal" the class loader off of the calling thread, which is the thread that is initializing Quartz.

### loadClass

    Class loadClass(String name)
                    throws ClassNotFoundException

  Return the class with the given name.

  Parameters:
    `name` - the fqcn of the class to load.
  Returns:
    the requested class.
  Throws:
    `ClassNotFoundException` - if the class can be found in the classpath.

### getResource

    URL getResource(String name)

  Finds a resource with a given name. This method returns null if no resource with this name is found.

  Parameters:
    `name` - name of the desired resource
  Returns:
    a java.net.URL object

### getResourceAsStream

    InputStream getResourceAsStream(String name)

  Finds a resource with a given name. This method returns null if no resource with this name is found.

  Parameters:
    `name` - name of the desired resource
  Returns:
    a java.io.InputStream object

### getClassLoader

    ClassLoader getClassLoader()

  Enable sharing of the class-loader with 3rd party (e.g. digester).

  Returns:
    the class-loader user be the helper.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.